Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6834 - Any user may cause an inteactive startup
Summary: Any user may cause an inteactive startup
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts
Version: 6.1
Hardware: i386
OS: Linux
high
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-08 20:18 UTC by robert
Modified: 2014-03-17 02:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-11-09 16:23:04 UTC


Attachments (Terms of Use)

Description robert 1999-11-08 20:18:36 UTC
If somebody does command:
touch /tmp/confirm
RedHat 6.1, when rebooted, automatically enters in interactive startup
So no process from /etc/rc?.d/S* will be started
and system won't boot up until admin comes and presses N or Y or C on the console
Solution:
in /etc/rc.d/rc.sysinit it should be removed before /sbin/getkey will be spawned
I think a few last lines from /etc/rc.d/rc.sysinit should be like these:
CONFIRM="no"
if [ "$PROMPT" != "no" ]; then
   /sbin/getkey i && CONFIRM="yes"
fi
[ "$CONFIRM" = "yes" ] && touch /tmp/confirm || rm -f /tmp/confirm || true
wait
Better solution: MOVE this flag file to NONWORDWRITEABLE directory, like /var/lock,

Robert Luberda <robert@pingu.ii.uj.edu.pl>

PS. There's another problem with /tmp/confirm: if admin wants system
to enter interacive startup by pressing key 'I' and /tmp/confirm exists and it's a directory.

Comment 1 Bill Nottingham 1999-11-08 20:25:59 UTC
moved to /var/run/confirm in initscripts-4.63-1.
There's no need to do the prior removal, as /var/run is
cleaned at each boot.


Note You need to log in before you can comment on or make changes to this bug.